%define pkgname dejavu-ttf

Summary: DejaVu ttf Fonts
Name: fonts-ttf-dejavu
Version: 1.1
Release: 2mdk
License: Bitstream Vera Fonts Copyright
Group: System/Fonts/True type
URL: http://dejavu.sourceforge.net/
Source0: http://optusnet.dl.sourceforge.net/sourceforge/dejavu/dejavu-ttf-1.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
PreReq: fontconfig 
PreReq: chkfontpath
BuildArch: noarch
BuildRequires: freetype-tools

%description
DejaVu fonts are Bitstream Vera fonts (http://www.bitstream.com/) with
additional characters from Latin Extended-A set (Dcaron, dcaron, Ecaron,
ecaron, Lacute, lacute, Lcaron, lcaron, Ncaron, ncaron, Racute, racute,
Rcaron, rcaron, Tcaron, tcaron, Uring, uring). They are optimized for
display on Linux/X (which has some TrueType display problems), but that
should not affect their usability on other systems or in printing.

DejaVu fonts are based on Bitstream Vera fonts version 1.10.

Fonts are (c) Bitstream (see below). DejaVu changes are in public domain.

Fonts are published in source form as SFD files (Spline Font Database from
FontForge - http://fontforge.sf.net/) and in compiled form as TTF files
(TrueType fonts).

%prep
%setup -q -n %{pkgname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu

cp *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu
ttmkfdir $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu > $RPM_BUILD_ROOT%{_datadir}/fonts/ttf/dejavu/fonts.dir
ln -s fonts.dir $RPM_BUILD_ROOT%{_datadir}\/fonts/ttf/dejavu/fonts.scale

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/ttf/dejavu
%{_bindir}/fc-cache %{_datadir}/fonts

%postun
%{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/ttf/dejavu
%{_bindir}/fc-cache %{_datadir}/fonts


%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/fonts/ttf/dejavu


%changelog
* Mon Aug  9 2004 Robert Vojta <robert.vojta@mandrake.org> 1.1-2mdk
- README file added
- better description (based on the README file)

* Fri Aug  5 2004 Petr Spatka <petr.spatka@kamarad.cz> 1.1-1mdk
- Initial build. Based on fonts-ttf-vera.spec from Mandrake.
